#
# spec file for package xine-lib (Version 1.1.16.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xine-lib
# %bcond_with = default off
# %bcond_without = default on
#
# --with distributable      -> don't build libxine1-codecs
# --without distributable   -> build libxine1-codecs
#
# default for buildservice is no patented codecs
%bcond_with distributable
%bcond_with onlynondistributable
%bcond_without pulseaudio
%bcond_without sdl
%bcond_without aalib
%bcond_without arts
%bcond_without esd
%bcond_without jack
%bcond_without gnome_vfs
%bcond_without directfb
%bcond_without modplug
#
%bcond_without external_ffmpeg
#
%if %{with distributable} && %{with onlynondistributable}
%error need --without distributable for --with onlynondistributable
%endif
BuildRequires:  liboil-0_3-0 liboil-devel
BuildRequires:  alsa-devel ImageMagick-devel flac-devel giflib-devel
BuildRequires:  glib2-devel gnutls-devel gtk2-devel imlib2-devel krb5-devel
BuildRequires:  libcdio-devel libdrm-devel libmng-devel libsmbclient
BuildRequires:  libsmbclient-devel libtheora-devel libvorbis-devel
BuildRequires:  readline-devel speex-devel update-desktop-files vcdimager-devel
%if 0%{?suse_version} > 1010
BuildRequires:	lirc-devel
%endif
%if !%{with distributable}
# those requiremens are optional but internal copies are likely old
%if %{with external_ffmpeg}
BuildRequires:  libfaad2-devel libffmpeg-devel
%endif
%endif
%if %{with pulseaudio}
BuildRequires:  libpulse-devel
%endif
%if %{with sdl}
BuildRequires:  SDL-devel
%endif
%if %{with aalib}
BuildRequires:  aalib-devel
BuildRequires:  libcaca-devel
%endif
%if %{with arts}
BuildRequires:  arts-devel
%endif
%if %{with esd}
BuildRequires:  esound-devel
%endif
%if %{with gnome_vfs}
BuildRequires:  gnome-vfs2-devel
%endif
%if %{with jack}
BuildRequires:  libjack-devel
%endif
%if %{with directfb}
BuildRequires:  DirectFB-devel
%endif
%if %{with modplug}
BuildRequires:  libmodplug
%endif
Version:        1.1.16.1
Release:        46.29
%define abiversion 1.25
Summary:        Video Player with Plug-Ins
Group:          Productivity/Multimedia/Video/Players
License:        GPL v2 or later; Public Domain, Freeware
Url:            http://xine.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Source0:        xine-lib-1.1.16.1.tar.bz2
Source1:        README.SuSE

Patch0:         xine-lib-doc-fix-X11R6.diff
##Patch1:         xine-lib-1.1.14-asprintf-typo.diff
Patch2:         xine-lib-1.1.14-ia64-is-not-alpha.diff
##Patch3:         xine-lib-1.1.15-cpp-compilation.diff
##Patch4:         xine-lib-1.1.15-demux_str.diff
Patch5:         vdr-xine-0.8.2.diff.bz2
Patch6:         vdr-xine-SUSE.diff
Patch7:         xine-lib-mjpegplugin.diff
Patch8:         xine-lib-crippled-LOCAL.diff
Patch9:         xine-lib-demuxcheckfor_mad_ffmpeg-LOCAL.diff
Patch10:         xine-lib-various-noncrippled.diff
Patch11:         xine-lib-1.1.7-install-plugins-helper.diff
Patch12:         xine-lib-assert.patch
Patch13:         xine-configure.diff
##Patch14:         xine-lib-1.1.15-ffmpeg.diff
Patch15:         xine-lib-libdvdread_udf.diff

%description
empty

%package -n libxine1
Summary:        Video Player with Plug-Ins
Group:          Productivity/Multimedia/Video/Players
License:        GPL v2 or later
Provides:       xine-lib = %{version}-%{release}
Obsoletes:      xine-lib < %{version}-%{release}
Provides:       libxine1-syncfb
Obsoletes:      libxine1-syncfb
Provides:       libxine1-xvmc
Obsoletes:      libxine1-xvmc
Provides:       libxine1-dvb
Obsoletes:      libxine1-dvb
%if !%{with distributable}
Requires:       libxine1-codecs = %{version}
%else
Recommends:     libxine1-codecs = %{version}
%endif
Recommends:     opensuse-codecs-installer

%description -n libxine1
xine is a video player with a graphical front-end that supports a large
number of file formats (VCD and MPEG2, for example) using plug-ins.
Several plug-ins are included. Others can be installed after xine
installation. xine supports stereo sound using OSS and AC5.1 using
Alsa.

%if %{with distributable}
This version of xine may lack certain features because of legal
requirements (potential patent violation). See also
http://www.opensuse.org/XINE#Legal_Matters
%endif

More information about xine plug-ins can be found at
http://www.xinehq.de/



Authors:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%description -n libxine1 -l de
xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

%if %{with distributable}
Diese xine-Version lässt eventuell einige Funktione aus rechtlichen
Gründen vermissen (mögliche Patentverletzungen). Siehe dazu
http://www.opensuse.org/XINE#Legal_Matters
%endif

Weitere Informationen über xine Plugins finden Sie unter
http://www.xinehq.de/



Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%package -n libxine-devel
License:        GPL v2 or later
Summary:        Development environment for xine-based media players
Group:          Development/Libraries/C and C++
Requires:       glibc-devel freetype2-devel zlib-devel libxine1 = %{version}
Obsoletes:      libxine1-devel
Provides:       libxine1-devel = %{version}-%{release}
Obsoletes:      xine-devel
Provides:       xine-devel = %{version}-%{release}
Obsoletes:      xine-lib-devel
Provides:       xine-lib-devel = %{version}-%{release}

%description -n libxine-devel
This package contains all necessary include files, libraries and
configuration files needed to compile applications that use the xine
media player.

xine is a video player which supports a large number of file formats
(i.e., VCD, MPEG2) using plug-ins. Several plug-ins are included.
Others can be post-installed. Supports stereo sound using OSS and AC5.1
using Alsa.

%if %{with distributable}
This version of xine may lack certain features because of legal
requirements (potential patent violation). See also
http://www.opensuse.org/XINE#Legal_Matters
%endif

More information about xine plug-ins can be found at
http://www.xinehq.de/



Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>


%description -n libxine-devel -l de
Dieses Paket enthält alle nötigen Include Dateien, Biblioteken und
Konfigurationsdateien, die benötigt werden, um Anwendungen zu
kompilieren, die den xine Media Player verwenden.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

%if %{with distributable}
Diese xine-Version lässt eventuell einige Funktione aus rechtlichen
Gründen vermissen (mögliche Patentverletzungen). Siehe dazu
http://www.opensuse.org/XINE#Legal_Matters
%endif

Weitere Informationen über xine Plugins finden Sie unter
http://www.xinehq.de/



Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>


%if %{with pulseaudio}
%package -n libxine1-pulse
License:        GPL v2 or later
Summary:        pulseaudio plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-pulse
libxine sound output plugin for the pulseaudio soundserver

%description -n libxine1-pulse -l de
libxine Soundausgabeplugin für den Pulseaudio Soundserver
%endif

%if %{with sdl}
%package -n libxine1-sdl
License:        GPL v2 or later
Summary:        SDL plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-sdl
SDL xine output plugin

%description -n libxine1-sdl -l de
SDL xine Ausgabeplugin
%endif

%if %{with arts}
%package -n libxine1-arts
License:        GPL v2 or later
Summary:        arts plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-arts
libxine sound output plugin for the arts soundserver

%description -n libxine1-arts -l de
libxine Soundausgabeplugin für den arts Soundserver
%endif

%if %{with aalib}
%package -n libxine1-aa
License:        GPL v2 or later
Summary:        aalib and libcaca plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-aa
aalib and libcaca xine output plugin

%description -n libxine1-aa -l de
aalib und libcaca xine Ausgabeplugin
%endif

%if %{with esd}
%package -n libxine1-esd
License:        GPL v2 or later
Summary:        esd plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-esd
libxine sound output plugin for the esound soundserver

%description -n libxine1-esd -l de
libxine Soundausgabeplugin für den esound Soundserver
%endif

%if %{with jack}
%package -n libxine1-jack
License:        GPL v2 or later
Summary:        jack plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-jack
libxine sound output plugin for the jack soundserver

%description -n libxine1-jack -l de
libxine Soundausgabeplugin für den jack Soundserver
%endif

%if %{with directfb}
%package -n libxine1-directfb
License:        GPL v2 or later
Summary:        directfb plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-directfb
directfb xine output plugin

%description -n libxine1-directfb -l de
directfb xine Ausgabeplugin
%endif

%if %{with gnome_vfs}
%package -n libxine1-gnome-vfs
License:        GPL v2 or later
Summary:        gnome-vfs plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-gnome-vfs
gnome-vfs xine input plugin

%description -n libxine1-gnome-vfs -l de
gnome-vfs xine Eingabeplugin
%endif

%if !%{with distributable}
%package -n libxine1-codecs
License:        GPL v2 or later; Public Domain, Freeware
# these libs are possibly illegal and may not work without libdvdcss anyway
Summary:        xine plugins for watching DVDs, DivX and more
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}
Provides:       xine-lib:%{_libdir}/xine/plugins/1.0.0/xineplug_decode_mad.so xine-mad
Obsoletes:      xine-mad
Provides:       libxine1-dvd
Obsoletes:      libxine1-dvd
Provides:       libxine1-dxr3
Obsoletes:      libxine1-dxr3
%ifarch %{ix86}
Provides:       libxine1-w32dll
Obsoletes:      libxine1-w32dll
%endif
Recommends:     libdvdcss >= 1.2.6

%description -n libxine1-codecs
With these xine plug-ins, you can watch DVDs and all other kind of
media using xine. More information about xine plug-ins can be found at
http://www.xinehq.de/



Authors:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%description -n libxine1-codecs -l de
Mit diesem xine Plugins können Sie DVDs und alle von xine unterstützten
Medienverainten abspielen. Weitere Informationtne über xine Plugins
finden Sie unter
http://www.xinehq.de/



Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>
%endif

%debug_package

%prep
cat <<EOF
+++ rpm build options +++'
Distributable version:	%{with distributable}
%if !%{with distributable}
  Codecs package only:	%{with onlynondistributable}
  External ffmpeg:	%{with external_ffmpeg}
%endif
Pulseaudio:		%{with pulseaudio}
SDL:			%{with sdl}
aalib:			%{with aalib}
arts:			%{with arts}
esd:			%{with esd}
jack:			%{with jack}
gnome_vfs:		%{with gnome_vfs}
directfb:		%{with directfb}
modplug:		%{with modplug}
+++++++++++++++++++++++++'
EOF
%setup -q -c -T
# Unpack crippled version only if full version does not exist
if test -s %{_sourcedir}/%{name}-%{version}.tar.bz2 ; then
  tar xfj %{_sourcedir}/%{name}-%{version}.tar.bz2
else
  tar xfj %{_sourcedir}/%{name}-%{version}-crippled.tar.bz2
fi
cd xine-lib-%{version}
%patch0 -p1
##%patch1 -p1
%patch2 -p1
##%patch3 -p1
##%patch4 -p1
%patch5 -p1
%patch6 -p1
sed -i 's|^noinst_HEADERS = input_vdr.h|xineinclude_HEADERS = input_vdr.h|' src/vdr/Makefile.am
%patch7 -p0
#sed -i 's|^ac_config_files="|ac_config_files="src/vdr/Makefile src/mjpeg/Makefile|' configure
%patch8
%patch9 -p1
# Only apply to uncrippled source
%if !%{with distributable}
%patch10
%endif
%patch11 -p1
%patch12 -p1
%patch13 -p1
##%patch14 -p1
%patch15 -p1
rm -f m4/libtool15.m4

%build
%if %{with external_ffmpeg}
# remove included ffmpeg header, they are old and may cause incompatibility
rm -rf src/libffmpeg/libav*/*.h
%endif
cd xine-lib-%{version}
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fno-force-addr"
export CCASFLAGS=-Wa,--noexecstack
%if 0%{suse_version} < 1011
echo 'AC_DEFUN([AC_REQUIRE_AUX_FILE])dnl' >> acinclude.m4
%endif
#if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
#fi
%if 0%{?sles_version} > 0 && 0%{?sles_version} <= 10
 :
%else
AUTOPOINT=true autoreconf -fi
%endif
./configure --prefix=/usr \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
%if 0%{suse_version} > 1010
	--docdir=%{_defaultdocdir}/xine \
%else
	docdir=%{_defaultdocdir}/xine \
%endif
	--enable-fpic \
	--enable-antialiasing \
	--with-libflac \
	--with-freetype \
	--disable-xvmc \
	%{?with_modplug:--enable-modplug} \
	%{?with_directfb:--enable-directfb} \
	%{?with_arts:--with-arts} \
%if !%{with distributable}
	%{?with_external_ffmpeg:--with-external-ffmpeg} \
%endif
%ifarch %{ix86}
	--with-w32-path=/usr/lib/win32 \
%endif
	--with-install-plugins-helper=${_prefix}/lib/opensuse-codecs-installer
%if 0%{?sles_version} == 10
%{__sed} -i "s/(x, y)//g" include/configure.h
%endif
make %{?jobs:-j%{jobs}}

%install
cd xine-lib-%{version}
make install DESTDIR=%{buildroot}
LIB="%{buildroot}%{_libdir}/xine/plugins/%{abiversion}"
# install documentation
install -m 0644 %{SOURCE1} COPYING AUTHORS %{buildroot}%{_defaultdocdir}/xine/
# remove usless READMEs
rm %{buildroot}%{_defaultdocdir}/xine/README.{irix,solaris,WIN32}
%ifarch %{ix86}
  mkdir -p %{buildroot}/usr/lib/win32
%endif
cd -
#
# big plugin sorting
#
cat > plugins << EOF
# these plugins do not have legal problems
xineplug_ao_out_alsa
xineplug_ao_out_file
xineplug_ao_out_none
xineplug_ao_out_oss
xineplug_vo_out_fb
xineplug_vo_out_none
xineplug_vo_out_opengl
xineplug_vo_out_xshm
xineplug_vo_out_xv
%if 0%{suse_version} > 1020
xineplug_vo_out_xcbshm
xineplug_vo_out_xcbxv
%endif
xineplug_vo_out_raw
xineplug_inp_dvb
xineplug_inp_dvd
xineplug_inp_v4l
xineplug_inp_file
xineplug_inp_http
xineplug_inp_net
xineplug_inp_pnm
xineplug_inp_cdda
xineplug_inp_smb
xineplug_inp_stdin_fifo
xineplug_inp_rtsp
xineplug_inp_pvr
xineplug_inp_rtp
xineplug_decode_bitplane
xineplug_decode_rgb
xineplug_decode_mjpeg
xineplug_decode_vorbis
xineplug_decode_yuv
xineplug_decode_lpcm
xineplug_decode_real
xineplug_decode_speex
xineplug_decode_theora
xineplug_decode_mpc
xineplug_decode_gdk_pixbuf
xineplug_decode_spucmml
xineplug_decode_sputext
# requires ImageMagick
xineplug_decode_image
xineplug_dmx_yuv_frames
xineplug_dmx_real
xineplug_dmx_audio
xineplug_dmx_iff
xineplug_dmx_avi
xineplug_dmx_flv
xineplug_dmx_image
xineplug_dmx_matroska
xineplug_dmx_ogg
xineplug_dmx_fli
xineplug_dmx_nsv
xineplug_dmx_mng
xineplug_dmx_pva
xineplug_dmx_qt
xineplug_dmx_rawdv
xineplug_dmx_sputext
xineplug_dmx_games
xineplug_dmx_slave
xineplug_flac
xineplug_vdr
#xineplug_vo_out_xxmc
#xineplug_vo_out_xvmc
xineplug_vo_out_syncfb
%ifarch %{ix86}
xineplug_vo_out_vidix
%endif
post/xineplug_post_audio_filters
post/xineplug_post_goom
post/xineplug_post_mosaico
post/xineplug_post_switch
post/xineplug_post_tvtime
post/xineplug_post_visualizations
#
.pulse
xineplug_ao_out_pulseaudio
#
.arts
xineplug_ao_out_arts
#
.esd
xineplug_ao_out_esd
#
.jack
xineplug_ao_out_jack
#
.aalib
xineplug_vo_out_aa
xineplug_vo_out_caca
#
.sdl
xineplug_vo_out_sdl
#
.gnome-vfs
xineplug_inp_gnome_vfs
#
.directfb
xineplug_vo_out_directfb
xineplug_vo_out_xdirectfb
#
.codecs
# libmad and MPEG related plugins
xineplug_decode_mad
xineplug_decode_spudvb
xineplug_inp_vcd
xineplug_inp_vcdo
xineplug_decode_mpeg2
xineplug_dmx_mpeg
xineplug_dmx_mpeg_block
xineplug_dmx_mpeg_ts
xineplug_dmx_mpeg_elem
xineplug_dmx_mpeg_pes
xineplug_dmx_yuv4mpeg2
# these plugins do have legal problems
xineplug_decode_a52
xineplug_decode_dts
xineplug_decode_faad
xineplug_decode_ff
xineplug_decode_dvaudio
xineplug_dmx_asf
xineplug_inp_mms
# I am not sure about these plugins, they need to be checked
# Closed Captioning Decoder (EIA-608). Patented ???
xineplug_decode_spucc
xineplug_decode_spu
# NES Music File Format. free ??
xineplug_decode_nsf
# Philips claimed intellectual property on GSM 06.10
xineplug_decode_gsm610
%ifarch %{ix86}
xineplug_decode_qt
xineplug_decode_w32dll
%endif
xineplug_decode_dxr3_video
xineplug_vo_out_dxr3
xineplug_decode_dxr3_spu
# unfortunately using external ffmpeg links the planar post
# processing plugin against ffmpeg libs
post/xineplug_post_planar
#
EOF
#
OUT_FILE=""
grep -v ^# plugins | while read i; do
  [ "${i:0:1}" = "." ] && OUT_FILE=${i} && continue
  echo %{_libdir}/xine/plugins/%{abiversion}/${i}.so >> files${OUT_FILE}
done
%find_lang libxine1
cat libxine1.lang >>files
%if %{with distributable}
xargs -i+ rm -f %{buildroot}/+ <files.codecs
%endif
%if %{with onlynondistributable}
for i in files files.*; do
  test "$i" = 'files.codecs' || xargs -i+ rm -f %{buildroot}/+ < $i
done
rm -rf %{buildroot}/usr/share %{buildroot}/usr/bin
rm -rf %{buildroot}%{_defaultdocdir}/xine %{buildroot}/usr/include
rm -rf %{buildroot}/usr/lib/win32 %{buildroot}/%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_libdir}/xine/plugins/%{abiversion}/{vidix,mime.types}
rm -f  %{buildroot}%{_libdir}/libxine*
%endif

%clean
rm -rf %{buildroot}
%if !%{with onlynondistributable}

%post -n libxine1 -p /sbin/ldconfig

%postun -n libxine1 -p /sbin/ldconfig

%files -n libxine1 -f files
%defattr(-,root,root)
%_bindir/xine-list-1.1
%ifarch %{ix86}
%dir /usr/lib/win32
%endif
%dir /%{_libdir}/xine
%dir /%{_libdir}/xine/plugins
%dir /%{_libdir}/xine/plugins/%{abiversion}
%dir /usr/share/xine
%dir /usr/share/xine/libxine1
%{_libdir}/libxine.so.*
%doc %{_mandir}/man1/xine-list-1.1.1.gz
%doc %{_mandir}/man5/xine.*
%{_defaultdocdir}/xine
%dir %{_libdir}/xine/plugins/%{abiversion}/post
%{_libdir}/xine/plugins/%{abiversion}/vidix
%{_libdir}/xine/plugins/%{abiversion}/mime.types
#
# xine fonts
# cetus is a freeware font from http://www.fontfreak.com/authors/gregfonts.htm
#
/usr/share/xine/libxine1/fonts
%if %{with pulseaudio}

%files -n libxine1-pulse -f files.pulse
%defattr(-,root,root,0755)
%endif
%if %{with sdl}

%files -n libxine1-sdl -f files.sdl
%defattr(-,root,root,0755)
%endif
%if %{with arts}

%files -n libxine1-arts -f files.arts
%defattr(-,root,root,0755)
%endif
%if %{with esd}

%files -n libxine1-esd -f files.esd
%defattr(-,root,root,0755)
%endif
%if %{with jack}

%files -n libxine1-jack -f files.jack
%defattr(-,root,root,0755)
%endif
%if %{with aalib}

%files -n libxine1-aa -f files.aalib
%defattr(-,root,root,0755)
%endif
%if %{with directfb}

%files -n libxine1-directfb -f files.directfb
%defattr(-,root,root,0755)
%endif
%if %{with gnome_vfs}

%files -n libxine1-gnome-vfs -f files.gnome-vfs
%defattr(-,root,root,0755)
%endif

%files -n libxine-devel
%defattr(-,root,root)
%doc %{_mandir}/man1/xine-config.1.gz
/usr/bin/xine-config
%{_libdir}/pkgconfig/libxine.pc
%{_libdir}/libxine.la
%{_libdir}/libxine.so
/usr/share/aclocal/xine.m4
/usr/include/xine
/usr/include/xine.h
%endif # onlynondistributable
%if !%{with distributable}

%files -n libxine1-codecs -f files.codecs
%defattr(-,root,root)
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%dir %{_libdir}/xine/plugins/%{abiversion}
%dir %{_libdir}/xine/plugins/%{abiversion}/post
%endif

%changelog
* Wed Oct 03 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

